Bug 158574 - [maintainer] security/libgcrypt update to 1.5.0
Summary: [maintainer] security/libgcrypt update to 1.5.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-01 19:10 UTC by Hirohisa Yamaguchi
Modified: 2011-07-03 12:41 UTC (History)
0 users

See Also:


Attachments
file.diff (3.36 KB, patch)
2011-07-01 19:10 UTC, Hirohisa Yamaguchi
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Hirohisa Yamaguchi 2011-07-01 19:10:04 UTC
	The new version of security/libgcrypt 1.5.0 is available
	Release announcement:
	  http://lists.gnupg.org/pipermail/gnupg-announce/2011q2/000307.html

	It is upward compatible with 1.4.x.

Fix: ports following have dependency for security/libgcrypt,
	shlib number update and/or REVISION bump is needed.
	  audio/gogglesmm
	  comms/libimobiledevice
	  databases/drizzle
	  databases/libgda4
	  deskutils/chmsee
	  devel/libvirt
	  devel/libzrtpcpp
	  devel/srecord
	  emulators/fuse
	  emulators/libspectrum
	  ftp/filezilla
	  games/libggz
	  graphics/telak
	  irc/irssi-otr
	  mail/wmbiff
	  misc/metalink-tools
	  multimedia/libaacs
	  net-im/climm
	  net-im/mcabber
	  net-p2p/gnunet
	  net/clamz
	  net/csync2
	  net/cyphesis
	  net/netatalk
	  net/remmina
	  net/wireshark
	  security/dirmngr
	  security/fiked
	  security/gnupg
	  security/gnutls
	  security/gsasl
	  security/libgnome-keyring
	  security/libotr
	  security/libssh
	  security/libssh2
	  security/opencdk
	  security/openvas-libnasl
	  security/openvpn-auth-radius
	  security/p5-Crypt-GCrypt
	  security/pidgin-otr
	  security/pinentry
	  security/seahorse-plugins
	  security/seahorse
	  security/seccure
	  security/shishi
	  security/vpnc
	  sysutils/freeipmi
	  sysutils/fusefs-cryptofs
	  textproc/libxslt

	The patch follows:

cvs diff: Diffing .
How-To-Repeat: 	N/A
Comment 1 Steve Wills freebsd_committer 2011-07-02 00:08:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

I'll take it.
Comment 2 Steve Wills freebsd_committer 2011-07-02 13:51:17 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi,

Sorry, this fails to compile for me on 7.x i386 and 8.x i386:

http://people.freebsd.org/~swills/7-STABLE-i386-FreeBSD_libgcrypt-1.5.0.log
http://people.freebsd.org/~swills/8-STABLE-i386-FreeBSD_libgcrypt-1.5.0.log

Looks like a compiler/assembler issue:

{standard input}:472: Error: no such instruction: `pshufb
be_mask.5800@GOTOFF(%ebx),%xmm2'

If my build test environment needs updating, let me know, but I think
it's OK. FWIW, I tried building with out MAKE_JOBS but got the same results.

Steve
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (FreeBSD)

iQEcBAEBAgAGBQJODxRFAAoJEPXPYrMgexuhkowIAK2a0YIywqqypPZyYkPsWDep
A4sxSjEbxFdRYaBOeSWGn0k8NsFrsEa1dXiYY5FtYuaDKgN4Vit7UYGvB5ifYNzd
0ChjEcnvyy35cbQIXWCoBnZ8xda+Ya+wMT8lS+aYmX+oTYDAS1Ka9ykgi2y13Fqr
xYfkpb6+z4zrin37/+yO45MX79+WGffmu1stjrZ2AhxwqreMIX56zENXFAqH7P+1
5t4lR9tzqNxoQIk8nxEVcMW3xUEkWAanMnaUeYWxqLyg8imyqDU/wEdzAo95k17c
M+hsD6J19DTzQltfAQYqRys0z90YA/AUdlDxf6/IJLLxGcE5Fo4t4Ujzl8R2RMg=
=elJr
-----END PGP SIGNATURE-----
Comment 3 dfilter service freebsd_committer 2011-07-03 12:39:54 UTC
swills      2011-07-03 11:39:40 UTC

  FreeBSD ports repository

  Modified files:
    security/libgcrypt   Makefile distinfo pkg-plist 
    security/libgcrypt/files patch-ltmain.sh 
  Log:
  - Update to 1.5.0
  
  PR:             ports/158574
  Submitted by:   Hirohisa Yamaguchi <umq@ueo.co.jp> (maintainer)
  
  Revision  Changes    Path
  1.50      +9 -4      ports/security/libgcrypt/Makefile
  1.20      +2 -2      ports/security/libgcrypt/distinfo
  1.3       +15 -15    ports/security/libgcrypt/files/patch-ltmain.sh
  1.12      +1 -1      ports/security/libgcrypt/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 Steve Wills freebsd_committer 2011-07-03 12:41:42 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!